Gecode::Set::SetTraceView Class Reference

Duplicate of a set view. More...

`#include <trace-view.hpp>`

## Public Member Functions

| SetTraceView (void)
| Default constructor (initializes with no view).
| SetTraceView (Space &home, SetView x)
| Duplicate view x.
RangeList * | glb (void) const
| Return range list for greatest lower bound.
RangeList * | lub (void) const
| Return range list for leat upper bound.
void | prune (Space &home, SetView y, const Delta &d)
| Update duplicated view from view y and delta d.
void | update (Space &home, SetTraceView x)
| Update during cloning.

## Static Public Member Functions

static unsigned long long int | slack (SetView x)
| Return slack for x.

## Protected Attributes

RangeList * | _glb
| Copy of the greatest lower bound.
RangeList * | _lub
| Copy of the least upper bound.

## Detailed Description

Duplicate of a set view.

Definition at line 37 of file trace-view.hpp.

## Constructor & Destructor Documentation

## SetTraceView() [1/2]

Gecode::Set::SetTraceView::SetTraceView | ( | void |  | ) |

inline

Default constructor (initializes with no view).

Definition at line 61 of file trace-view.hpp.

## SetTraceView() [2/2]

Gecode::Set::SetTraceView::SetTraceView | ( | Space & | home,
|  | SetView | x )

inline

Duplicate view x.

Definition at line 63 of file trace-view.hpp.

## Member Function Documentation

## glb()

RangeList * Gecode::Set::SetTraceView::glb | ( | void |  | ) | const

inline

Return range list for greatest lower bound.

Definition at line 70 of file trace-view.hpp.

## lub()

RangeList * Gecode::Set::SetTraceView::lub | ( | void |  | ) | const

inline

Return range list for leat upper bound.

Definition at line 74 of file trace-view.hpp.

## prune()

void Gecode::Set::SetTraceView::prune | ( | Space & | home,
|  | SetView | y,
|  | const Delta & | d )

inline

Update duplicated view from view y and delta d.

Definition at line 78 of file trace-view.hpp.

## update()

void Gecode::Set::SetTraceView::update | ( | Space & | home,
|  | SetTraceView | x )

inline

Update during cloning.

Definition at line 85 of file trace-view.hpp.

## slack()

unsigned long long int Gecode::Set::SetTraceView::slack | ( | SetView | x | ) |

inline static

Return slack for x.

Definition at line 93 of file trace-view.hpp.

## Member Data Documentation

## _glb

RangeList* Gecode::Set::SetTraceView::_glb

protected

Copy of the greatest lower bound.

Definition at line 40 of file trace-view.hpp.

## _lub

RangeList* Gecode::Set::SetTraceView::_lub

protected

Copy of the least upper bound.

Definition at line 42 of file trace-view.hpp.

The documentation for this class was generated from the following file:

- gecode/set/trace/trace-view.hpp